import React, { Component } from 'react'
import { Table, Button } from 'reactstrap';
import ModalForm from '../Modals/Modal';
import axios from 'axios';
import { MDBDataTable } from 'mdbreact';
import swal from "sweetalert";
class DataTable extends Component {

  deleteItem = id => {
      const params = {
          id: id
      };
      swal({
          title: "Are you sure?",
          text: "Are you sure that you want to delete this game?",
          icon: "warning",
          buttons: true,
          dangerMode: true,
      })
          .then(willDelete => {
              if (willDelete) {
                    try {
                      const params = {
                       id: id
                      };
                      axios.delete(`https://cfufcmpuwc.execute-api.us-east-1.amazonaws.com/InAppIosDetail/inappiosdetail/${id}`, params)
                        // .then(response => response.json())
                        .then(res => {
                          if (res.status == '204') {
                            console.log("res", res.status);
                            window.location.reload();
                          } else {
                            console.log('failure')
                          }
                        })
                    }
                    catch (err) {
                      console.log(err);
                    }
                  swal("Deleted!", "deleted!", "success");
              }
          });
}

  render() {
      const maxlimit = 30;
    const items = this.props.items.map(item => {
      return (
          {
             ID: item.id,
              "Game Name":(item.Game_Name).length > maxlimit ?
              (((item.Game_Name).substring(0,maxlimit-3)) + '...') :
                  item.Game_Name,
              Version:item.version,
              Flag:item.flag,
              Action:<div style={{width:"100%"}}>
                         <ModalForm buttonLabel="Edit" item={item} updateState={this.props.updateState}/>
                         {' '}
                        <Button color="danger" onClick={() => this.deleteItem(item.id)}>Del</Button>
                      </div>
          }


        )
      });

          const data = {
              columns: [
                  {
                      label: 'ID',
                      field: 'ID',
                      sort: 'asc',
                      width: 150
                  },
                  {
                      label: 'Game Name',
                      field: 'Game Name',
                      sort: 'asc',
                      width: 270
                  },
                  {
                      label: 'Version',
                      field: 'Version',
                      sort: 'asc',
                      width: 200
                  },
                  {
                      label: 'Flag',
                      field: 'Flag',
                      sort: 'asc',
                      width: 100
                  },
                  {
                      label: 'Action',
                      field: 'Action',
                      sort: 'asc',
                      width: 100
                  }
              ],
              rows: items

          };

          return (

              <MDBDataTable
                  striped
                  hover
                  data={data}
              />


          )
      }
}

export default DataTable