import React from 'react';
import {Button, Form, FormGroup, Label, Input } from "reactstrap";
import axios from "axios";
import swal from "sweetalert";

class AddEditForm extends React.Component {
  state = {
    email: '',
    name: '',
    privateKey: ''
  }

  onChange = e => {
     let event = e.target.value.replace(/\s+/g, '');
    this.setState({ name: event });
  }

  submitFormAdd = e => {
    e.preventDefault();


    try {
        if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(this.state.email)) {
            const params = {
                email: this.state.email,
                id: this.state.name,
                privateKey: this.state.privateKey
            };
            axios.post(`https://t2qaedohf6.execute-api.us-east-1.amazonaws.com/stud/studiobo/${this.state.id}`, params)
                // .then(response => response.json())
                .then(res => {
                    if (res.status == '201') {
                        console.log("res", res.status);
                       window.location.reload();
                    } else {
                        console.log("res", res.status);
                        console.log('failure')
                    }
                })
        }
        else{
            return swal({
                title: "Error!",
         text: "Please enter valid Email Address",
                icon: "error",
                timer: 3000,
                button: false
            });
        }
    }

    catch (err) {
      console.log(err);
    }

  }


  componentDidMount() {
    // if item exists, populate the state with proper data
    if (this.props.item) {
      const { email, id, privateKey } = this.props.item
      this.setState({ email, id, privateKey })
    }

  }

  render() {
    return (
      <Form onSubmit={this.submitFormAdd}>

          <FormGroup  bssize="large">
              <Label >Studio Name</Label >
              <Input
                  id="name"
                  type="text"
                  name="name"
                  placeholder="Studio Name"
                  onChange={this.onChange}
                  value={this.state.id}  required
              />
          </FormGroup>
          <FormGroup   bssize="large">
              <Label>Email</Label >
              <Input
                  name="email"
                  id="email"
                  type="email"
                  placeholder="Email"
                  onChange={e => this.setState({email: e.target.value})}
                  value={this.state.email}
                  required
              />
          </FormGroup>
        <FormGroup>
          <Label for="privateKey">Private Key</Label>
          <Input type="text" name="privateKey" id="privateKey" onChange={e => this.setState({privateKey: e.target.value})}
                 placeholder="Private Key"    value={this.state.privateKey} required />
        </FormGroup>

        <Button type="submit">ADD</Button>
      </Form>
    );
  }
}

export default AddEditForm