import React, { Component } from 'react'
import { Table, Button } from 'reactstrap';
import ModalForm from '../Modals/Modal';
import axios from 'axios';
import { MDBDataTable } from 'mdbreact';
import swal from "sweetalert";
class DataTable extends Component {
    deleteItem = id => {
        const params = {
            id: id
        };
        swal({
            title: "Are you sure?",
            text: "Are you sure that you want to delete this studio?",
            icon: "warning",
            buttons: true,
            dangerMode: true,

        })
            .then(willDelete => {
                if (willDelete) {
                    // try {
                        const params = {
                            id: id
                        };
                        axios.delete(`https://t2qaedohf6.execute-api.us-east-1.amazonaws.com/stud/studiobo/${id}`, params)
                            // .then(response => response.json())
                            .then(res => {
                                if (res.status == '204') {
                                    window.location.reload();
                                    console.log("res", res.status);

                                } else {
                                    console.log('failure')
                                }
                            })
                    // }
                    // catch (err) {
                    //     console.log(err);
                    // }
                    swal("Deleted!", "deleted!", "success");
                }
            });
    }

  render() {
   const maxlimit = 50;
    const items = this.props.items.map(item => {
      return (
          {
              Email: (item.email).length > maxlimit ?
             (((item.email).substring(0,maxlimit-3)) + '...') :
               item.email ,
              "Studio Name":(item.id).length > maxlimit ?
                  (((item.id).substring(0,maxlimit-3)) + '...') :
                  item.id,
              "Private Key":(item.privateKey).length > maxlimit ?
                      (((item.privateKey).substring(0,maxlimit-3)) + '...') :
                      item.privateKey ,
              Actions:<div style={{width:"100%"}}>
                        <ModalForm buttonLabel="Edit" item={item} updateState={this.props.updateState}/>
                      {' '}
                        <Button color="danger" onClick={() => this.deleteItem(item.id)}>Del</Button>
                     </div>

          }

        )
      })
      const data = {
          columns: [
              {
                  label: 'Email',
                  field: 'Email',
                  sort: 'asc',
                  width: 150
              },
              {
                  label: 'Studio Name',
                  field: 'Studio Name',
                  sort: 'asc',
                  width: 270
              },
              {
                  label: 'Private Key',
                  field: 'Private Key',
                  // sort: 'asc',
                  width: 200
              },
              {
                  label: 'Actions',
                  field: 'Actions',
                  sort: 'asc',
                  width: 100
              }
          ],
          rows: items

      };
    return (

        <MDBDataTable
            striped
            hover
            data={data}
        />

    )
  }
}

export default DataTable