import React from 'react';
import { Button, Form, FormGroup, Label, Input } from 'reactstrap';
import axios from "axios";

class AddEditForm extends React.Component {
  state = {
    email: '',
    name: '',
    privateKey: ''
  }

  onChange = e => {
    this.setState({ [e.target.name]: e.target.value })
  }

  submitFormAdd = e => {
    e.preventDefault();


    try {
      const params = {
        email: this.state.email,
        id: this.state.name,
        privateKey: this.state.privateKey
      };
      axios.post(`https://t2qaedohf6.execute-api.us-east-1.amazonaws.com/stud/studiobo/${this.state.id}`, params)
        // .then(response => response.json())
        .then(res => {
          if (res.status == '201') {
           console.log("res",res.status);
          window.location.reload();
          } else {
            console.log('failure')
          }
        })
    }
    catch (err) {
      console.log(err);
    }

  }


  componentDidMount() {
    // if item exists, populate the state with proper data
    if (this.props.item) {
      const { email, id, privateKey } = this.props.item
      this.setState({ email, id, privateKey })
    }

  }

  render() {
    return (
      <Form onSubmit={this.submitFormAdd}>
          <FormGroup>
              <Label for="name">Studio Name</Label>
              <Input type="text" name="name" id="name" onChange={this.onChange} value={this.state.id === null ? '' : this.state.id}  required />
          </FormGroup>
        <FormGroup>
          <Label for="email">Email</Label>
          <Input type="email" name="email" id="email" onChange={this.onChange} value={this.state.email === null ? '' : this.state.email} required  />
        </FormGroup>

        <FormGroup>
          <Label for="privateKey">Private Key</Label>
          <Input type="text" name="privateKey" id="privateKey" onChange={this.onChange} value={this.state.privateKey === null ? '' : this.state.privateKey} placeholder="" required />
        </FormGroup>
        <Button>ADD</Button>
      </Form>
    );
  }
}

export default AddEditForm